"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Exposes information that is associated with the SharePoint web page that is currently being displayed.
 *
 * @remarks
 * The Page object provides access to information that is scoped to the current SharePoint web page, but not
 * stored with the underlying SPListItem. Note that the {@link PageContext.listItem} may be undefined for
 * pages that are not based on a SharePoint list, whereas the PageContext.page will never be undefined.
 *
 * The concept of a "page" is subjective and defined by the router for a particular client-side application.
 *
 * @alpha
 */
var Page = /** @class */ (function () {
    /**
     * @internal
     */
    function Page(data) {
        this.socialBarEnabled = data.socialBarEnabled || false;
    }
    return Page;
}());
exports.default = Page;
//# sourceMappingURL=Page.js.map