"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This class is primarily used with the `PageContext` class. It provides contextual
 * information for the features enabled on the SharePoint site that hosts the page.
 *
 * @internal
 */
var SPFeatureInfo = /** @class */ (function () {
    /**
     * @param data - Raw JSON data from the html file
     */
    function SPFeatureInfo(data) {
        this._features = new Map();
        for (var key in data) {
            if (key !== undefined) {
                // eslint-disable-next-line @typescript-eslint/no-explicit-any
                var value = data[key];
                this._features.set(key, { version: value.Version, enabled: value.Enabled });
            }
        }
    }
    /**
     * Returns feature information for a given feature.
     * @param featureName - Name of a feature to lookup
     */
    SPFeatureInfo.prototype.get = function (featureName) {
        return this._features.get(featureName);
    };
    return SPFeatureInfo;
}());
exports.default = SPFeatureInfo;
//# sourceMappingURL=SPFeatureInfo.js.map