"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sp_core_library_1 = require("@microsoft/sp-core-library");
/**
 * A field represents the data model for a column in SharePoint list view.
 * @remarks
 *
 * This is the client-side equivalent for SharePoint `SPField` class. It is used with the
 * `@microsoft/sp-listview-extensibility` package.
 *
 * @public
 */
var SPField = /** @class */ (function () {
    /**
     * @internal
     */
    function SPField(data) {
        this.id = sp_core_library_1.Guid.parse(data.id);
        this.internalName = data.internalName || '';
        this.fieldType = data.fieldType || '';
        this.isRequired = data.isRequired;
        this.displayName = data.displayName || '';
        this.clientSideComponentId = sp_core_library_1.Guid.tryParse(data.clientSideComponentId);
        this.clientSideComponentProperties = data.clientSideComponentProperties || '';
    }
    return SPField;
}());
exports.default = SPField;
//# sourceMappingURL=SPField.js.map